define(["require", "exports", "../constants", "./activity"], function (require, exports, constants_1, activity_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Describes a BPMN Subprocess.
     *
     * Technically they work like normal processes, except that they exist only
     * within another process and are treated like an activity for that process.
     */
    class SubProcess extends activity_1.Activity {
        constructor() {
            super(...arguments);
            this.flowNodes = [];
            this.sequenceFlows = [];
        }
        get bpmnType() {
            return constants_1.BpmnType.subProcess;
        }
    }
    exports.SubProcess = SubProcess;
});
//# sourceMappingURL=sub_process.js.map